For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pools

Get pools

get
Responses
200Success

No content

get/api/pools
GET /api/pools HTTP/1.1
Host: api.bound.exchange
Accept: */*
200Success

No content

Migrate pools

post
Body
payFeeAddressstringRequired

The address to pay the fee

migrateVersionnumberRequired

The migration version

typestringRequired

The additional data

feeRatenumberRequired

The fee rate

Responses
201Success

No content

post/api/pools/build-migration
POST /api/pools/build-migration HTTP/1.1
Host: api.bound.exchange
Content-Type: application/json
Accept: */*
Content-Length: 144

{
  "payFeeAddress": "text",
  "pools": [
    {
      "token0Id": "text",
      "token1Id": "text",
      "fee": 1,
      "scVersion": "text"
    }
  ],
  "migrateVersion": 1,
  "type": "text",
  "feeRate": 1
}
201Success

No content

Migrate pools

post
Body
payFeeAddressstringRequired

The address to pay the fee

migrateVersionnumberRequired

The migration version

typestringRequired

The additional data

feeRatenumberRequired

The fee rate

Responses
201Success

No content

post/api/pools/simulate-migration
POST /api/pools/simulate-migration HTTP/1.1
Host: api.bound.exchange
Content-Type: application/json
Accept: */*
Content-Length: 144

{
  "payFeeAddress": "text",
  "pools": [
    {
      "token0Id": "text",
      "token1Id": "text",
      "fee": 1,
      "scVersion": "text"
    }
  ],
  "migrateVersion": 1,
  "type": "text",
  "feeRate": 1
}
201Success

No content

Broadcast migration

post
Body
txHexstringRequired

The tx hex

typestringRequired

The tx id

migrateVersionnumberRequired

The migration version

Responses
201Success

No content

post/api/pools/broadcast-migration
POST /api/pools/broadcast-migration HTTP/1.1
Host: api.bound.exchange
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "txHex": "text",
  "type": "text",
  "migrateVersion": 1
}
201Success

No content

Last updated